buongiorno il mio pc ha installato come sistema operativo UBUNTU 16.04 LTS, da pochi giorni. Ho aggiornato da Ubuntu 15.04 via terminale. Gli ho installato Virtualbox 5.2.6 dal sito Oracle, con anche l'Extension Pack. Precedentemente c'era una versione 4.2 o 4.3 con le guest Additions installate. Ad ogni modo, adesso, quando provo ad aprire la macchina virtuale mi riporta questo ERRORE: vi riporto l'errore che leggo:

RTR3InitEx failed with rc=-1912 (rc=-1912) The VirtualBox kernel modules do not match this version of VirtualBox. The installation of VirtualBox was apparently not successful. Executing '/sbin/vboxconfig' may correct this. Make sure that you do not mix the OSE version and the PUEL version of VirtualBox. where: supR3HardenedMainInitRuntime what: 4 VERR_VM_DRIVER_VERSION_MISMATCH (-1912) - The installed support driver doesn't match the version of the user.

chiesto 16 Feb, 10:11

luke23's gravatar image

luke23
402510

modificato 17 Feb, 11:17

alevipri's gravatar image

alevipri
5.5k1479


HO RISOLTO COI SEGUENTI COMANDI

dpkg --list virtualbox-*
Voluto=U (non noto)/I (installato)/R (rimosso)/P (rimosso totale)/H (in attesa)
| Stato=Non/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(nessuno)/R (reinstallazione richiesta) (Stato,Err: maiuscolo=grave)
||/ Nome           Versione     Architettura Descrizione
+++-==============-============-============-=================================
un  virtualbox-2.0 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-2.1 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-2.2 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-3.0 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-3.1 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-3.2 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-4.0 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-4.1 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-4.2 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-4.3 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-5.0 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-5.1 <nessuna>    <nessuna>    (nessuna descrizione disponibile)
ii  virtualbox-5.2 5.2.6-120293 amd64        Oracle VM VirtualBox
ii  virtualbox-dkm 5.0.40-dfsg- all          x86 virtualization solution - ker
un  virtualbox-gue <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-gue <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-mod <nessuna>    <nessuna>    (nessuna descrizione disponibile)
un  virtualbox-ose <nessuna>    <nessuna>    (nessuna descrizione disponibile)
rc  virtualbox-qt  5.0.40-dfsg- amd64        x86 virtualization solution - Qt 
un  virtualbox-sou <nessuna>    <nessuna>    (nessuna descrizione disponibile)
luca@luca-HP-Pavilion-dv5-Notebook-PC:~$ dpkg -l | grep virtualbox-dkms
ii  virtualbox-dkms                                       5.0.40-dfsg-0ubuntu1.16.04.2                 all          x86 virtualization solution - kernel module sources for dkms
luca@luca-HP-Pavilion-dv5-Notebook-PC:~$ sudo apt-get purge virtualbox-dkms && \
> sudo apt-get install dkms
[sudo] password di luca: 
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  dkms libgsoap8 libvncserver1
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti saranno RIMOSSI:
  virtualbox-dkms*
0 aggiornati, 0 installati, 1 da rimuovere e 5 non aggiornati.
Dopo quest'operazione, verranno liberati 5.053 kB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 227478 file e directory attualmente installati.)
Rimozione di virtualbox-dkms (5.0.40-dfsg-0ubuntu1.16.04.2)...

-------- Uninstall Beginning --------
Module:  virtualbox
Version: 5.0.40
Kernel:  3.19.0-26-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxdrv.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.19.0-26-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxnetadp.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.19.0-26-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxnetflt.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.19.0-26-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxpci.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.19.0-26-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod...........

DKMS: uninstall completed.

-------- Uninstall Beginning --------
Module:  virtualbox
Version: 5.0.40
Kernel:  4.4.0-112-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxdrv.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-112-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxnetadp.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-112-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxnetflt.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-112-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

vboxpci.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-112-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod..........

DKMS: uninstall completed.

------------------------------
Deleting module version: 5.0.40
completely from the DKMS tree.
------------------------------
Done.
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
dkms is already the newest version (2.2.0.3-2ubuntu11.5).
È stato impostato dkms per l'installazione manuale.
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libgsoap8 libvncserver1
Usare "sudo apt autoremove" per rimuoverli.
0 aggiornati, 0 installati, 0 da rimuovere e 5 non aggiornati.
luca@luca-HP-Pavilion-dv5-Notebook-PC:~$ sudo /sbin/vboxconfig
vboxdrv.sh: Stopping VirtualBox services.
vboxdrv.sh: Building VirtualBox kernel modules.
vboxdrv.sh: Starting VirtualBox services.
luca@luca-HP-Pavilion-dv5-Notebook-PC:~$ dpkg --list virtualbox-*Voluto=U (non noto)/I (installato)/R (rimosso)/P (rimosso totale)/H (in attesa)
| Stato=Non/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(nessuno)/R (reinstallazione richiesta) (Stato,Err: maiuscolo=grave)
||/ Nome               Versione       Architettura   Descrizione
+++-==================-==============-==============-==========================================
un  virtualbox-2.0     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-2.1     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-2.2     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-3.0     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-3.1     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-3.2     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-4.0     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-4.1     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-4.2     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-4.3     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-5.0     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-5.1     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
ii  virtualbox-5.2     5.2.6-120293~U amd64          Oracle VM VirtualBox
un  virtualbox-dkms    <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-guest-a <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-guest-m <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-modules <nessuna>      <nessuna>      (nessuna descrizione disponibile)
un  virtualbox-ose     <nessuna>      <nessuna>      (nessuna descrizione disponibile)
rc  virtualbox-qt      5.0.40-dfsg-0u amd64          x86 virtualization solution - Qt based use
un  virtualbox-source  <nessuna>      <nessuna>      (nessuna descrizione disponibile)
coll. permanente

ha risposto 16 Feb, 14:43

luke23's gravatar image

luke23
402510

@luke23 non mettere [RISOLTO] nel titolo, non siamo sul forum ;) Piuttosto devi segnare la tua risposta come corretta, premendo il simbolo a forma di "V" a sinistra della risposta stessa (prima fai il login).

Ciao

(17 Feb, 11:18) alevipri alevipri's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×127
×79

domanda posta: 16 Feb, 10:11

domanda visualizzata: 345 volte

ultimo aggiornamento: 17 Feb, 11:18

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.